# Class AbsoluteOrder.AbsoluteComparator

java.lang.Object
org.apache.catalina.tribes.group.AbsoluteOrder.AbsoluteComparator

All Implemented Interfaces:
  `Serializable`, `Comparator<Member>`

Enclosing class:
  `AbsoluteOrder`

public static class AbsoluteOrder.AbsoluteComparator extends Object implements Comparator<Member>, Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AbsoluteComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Member m1, Member m2)`
`protected int`
`compareBytes(byte[] d1, byte[] d2)`
`protected int`
`compareBytes(byte b1, byte b2)`
`int`
`compareIds(Member m1, Member m2)`
`protected int`
`compareInts(int b1, int b2)`
`int`
`compareIps(Member m1, Member m2)`
`int`
`comparePorts(Member m1, Member m2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### AbsoluteComparator

public AbsoluteComparator()

## Method Details

### compare

public int compare(Member m1, Member m2)

Specified by:
  `compare` in interface `Comparator<Member>`

### compareIps

public int compareIps(Member m1, Member m2)

### comparePorts

public int comparePorts(Member m1, Member m2)

### compareIds

public int compareIds(Member m1, Member m2)

### compareBytes

protected int compareBytes(byte[] d1, byte[] d2)

### compareBytes

protected int compareBytes(byte b1, byte b2)

### compareInts

protected int compareInts(int b1, int b2)